<?php

namespace QUI\Verification\Entity;

final class Address
{
    public function __construct(
        public string $name,
        public string $street,
        public string $houseNumber,
        public string $zipCode,
        public string $city,
        public string $countryCode
    ) {
    }

    /**
     * @return array<string,string>
     */
    public function toArray(): array
    {
        return [
            'name' => $this->name,
            'street' => $this->street,
            'houseNumber' => $this->houseNumber,
            'zipCode' => $this->zipCode,
            'city' => $this->city,
            'countryCode' => $this->countryCode,
        ];
    }

    /**
     * @param array<string,string> $data
     * @return Address
     */
    public static function fromArray(array $data): Address
    {
        return new Address(
            $data['name'],
            $data['street'],
            $data['houseNumber'],
            $data['zipCode'],
            $data['city'],
            $data['countryCode']
        );
    }
}
